# Companies

## List all companies

 - [GET /companies](https://developers.kanbert.com/api/companies/companies.index.md): Required scopes: contact-data:read

## Create a company

 - [POST /companies](https://developers.kanbert.com/api/companies/companies.store.md): Required scopes: contact-data:write

## Retrieve a company

 - [GET /companies/{id}](https://developers.kanbert.com/api/companies/companies.show.md): Required scopes: contact-data:read

## Update a company

 - [PATCH /companies/{id}](https://developers.kanbert.com/api/companies/companies.update.md): Required scopes: contact-data:write

To update external_id jump to Endpoint /companies/{id}/external-identifier

## Archive a company

 - [DELETE /companies/{id}](https://developers.kanbert.com/api/companies/companies.destroy.md): Required scopes: contact-data:write

## Update a companys external identifier

 - [PUT /companies/{id}/external-identifier](https://developers.kanbert.com/api/companies/companies.updateexternalid.md): Required scopes: contact-data:write

Can be used to force overwrite external_id

## Restore a company

 - [POST /companies/{id}/restore](https://developers.kanbert.com/api/companies/companies.restore.md): Required scopes: contact-data:write

## Company created

 - [POST company:created](https://developers.kanbert.com/api/companies/paths/company:created/post.md): company:create - A new company was created

## Company updated

 - [POST company:updated](https://developers.kanbert.com/api/companies/paths/company:updated/post.md): company:update A company was updated

## Company deleted

 - [POST company:deleted](https://developers.kanbert.com/api/companies/paths/company:deleted/post.md): company:delete - A company was deleted

